最新消息:阿啰哈,本人90后,目前单身,欢迎妹子们来撩!.(。→‿←。)

网站备份脚本

Shell 林志斌 1009浏览

卡书目前使用的是Dropbox的免费数据存储服务,本站所有数据会每天自动做个完全备份(full backup)并上传至Dropbox。

Bash Shell: 网站备份脚本
#!/bin/bash
#Author: kashu
#Date: 2014-01-24
#Filename: backup.kashu.org.sh
#Description: Backup my website files and database

BAK=/root/backup

tar -jcvpf ${BAK}/`date +%Y%m%d`.tar.bz2 /var/www/html/kashu.org/ &> /dev/null
test -s ${BAK}/`date +%Y%m%d`.tar.bz2 || { echo "Error:`date +%Y%m%d`.tar.bz2" >> ${BAK}/bak.log && exit 1; }

mysqldump -uroot -pwww.kashu.org wwwkashuorg > ${BAK}/`date +%Y%m%d`.sql
test -s ${BAK}/`date +%Y%m%d`.sql || { echo "Error:`date +%Y%m%d`.sql" >> ${BAK}/bak.log && exit 1; }
bzip2 -9 ${BAK}/`date +%Y%m%d`.sql

/root/shell/dropbox_uploader.sh upload /root/backup/`date +%Y%m%d`*.bz2 /kashu.org
if [ "$?" == 0 ]; then
   echo "`date +%Y%m%d`:OK" >> ${BAK}/bak.log
else
   echo "`date +%Y%m%d`:Error" >> ${BAK}/bak.log
fi

转载请注明:林志斌 » 网站备份脚本

发表评论
取消评论
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址